# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               bristol
Version:            0.60.11
Release:            pm152.3.2
Summary:            Vintage Synthesiser Software Emulator Suite
Source:             bristol-%{version}.tar.xz
Patch:              bristol.patch
Patch1:             bristol-alsa.patch
URL:                http://bristol.sourceforge.net/
Group:              Productivity/Multimedia/Sound/Midi
License:            GPL-3.0+
BuildRequires:      pkgconfig
BuildRequires:      pkgconfig(x11)
BuildRequires:      pkgconfig(xproto)
BuildRequires:      pkgconfig(xext)
BuildRequires:      pkgconfig(liblo)
BuildRequires:      pkgconfig(alsa)
BuildRequires:      pkgconfig(jack)
BuildRequires:      update-desktop-files
BuildRequires:      fdupes
ExclusiveArch:  %ix86 x86_64

%description
Bristol is a vintage synthesiser software emulator suite.

The application consists of an engine itself called bristol and a graphical
user interface called brighton.

The graphical interface is a bitmap manipulation library to present the diverse
synth devices such as potentiometers, buttons, sliders, patch cables and which
generates the messages to configure the synth emulator.

The engine is an infrastructure that hosts the emulator code that couples
together the different audio operators required to generate the audio.

The engine and GUI are started together with the startBristol script which sets
up the required environment for the two to connect together. It is not
generally envisaged that bristol and brighton be started outside of the script
however there are options to the script to only start one or the other. Bristol
also has a command line interface that can be used rather than the GUI.

%prep
%autosetup -p1

%build
CFLAGS='%{optflags} -std=gnu89 -Werror=implicit-int -Werror=lto-type-mismatch -Wno-misleading-indentation -Wno-unused-variable -Wno-unused-but-set-variable -Wno-unused-function'
%configure \
    --enable-jack-default-audio \
    --enable-jack-default-midi

%make_build

%install
%make_install

rm -fv "%{buildroot}%{_libdir}"/lib*.{so,a,la}

%fdupes -s "%{buildroot}%{_datadir}/bristol"


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING*
%{_bindir}/brighton
%{_bindir}/bristol
%{_bindir}/bristoljackstats
%{_bindir}/startBristol
%{_libdir}/*.so.*
%{_datadir}/bristol
%{_mandir}/man1/brighton.1*
%{_mandir}/man1/bristol.1*
%{_mandir}/man1/bristoljackstats.1*
%{_mandir}/man1/startBristol.1*

%changelog
* Wed Oct 26 2016 olaf@aepfle.de
- Update t. version 0.60.11
* Tue Jul 17 2012 pascal.bleser@opensuse.org
- initial version (0.60.10)
